clang-tools 8.0.0

Public Member Functions | Public Attributes | Friends | List of all members
clang::clangd::Range Struct Reference

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::Range:
[legend]

## Public Member Functions
bool | contains (Position Pos) const
bool | contains (Range Rng) const

## Public Attributes
Position | start
| The range's start position. More...
Position | end
| The range's end position. More...

## Friends
bool | operator== (const Range &LHS, const Range &RHS)
bool | operator!= (const Range &LHS, const Range &RHS)
bool | operator< (const Range &LHS, const Range &RHS)

## Detailed Description

Definition at line 154 of file Protocol.h.

## Member Function Documentation

## ◆ contains() [1/2]

bool clang::clangd::Range::contains | ( | Position | Pos | ) | const
| inline

Definition at line 171 of file Protocol.h.

## ◆ contains() [2/2]

bool clang::clangd::Range::contains | ( | Range | Rng | ) | const
| inline

Definition at line 172 of file Protocol.h.

References end, clang::clangd::fromJSON(), clang::clangd::operator<<(), start, and clang::clangd::toJSON().

## Friends And Related Function Documentation

## ◆ operator!=

bool operator!= | ( | const Range & | LHS,
|  | const Range & | RHS
| ) |  |
| friend

Definition at line 164 of file Protocol.h.

## ◆ operator<

bool operator< | ( | const Range & | LHS,
|  | const Range & | RHS
| ) |  |
| friend

Definition at line 167 of file Protocol.h.

## ◆ operator==

bool operator== | ( | const Range & | LHS,
|  | const Range & | RHS
| ) |  |
| friend

Definition at line 161 of file Protocol.h.

## Member Data Documentation

## ◆ end

Position clang::clangd::Range::end

The range's end position.

Definition at line 159 of file Protocol.h.

Referenced by contains(), clang::clangd::fromJSON(), clang::clangd::IsRangeConsecutive(), clang::clangd::operator<<(), and clang::clangd::toJSON().

## ◆ start

Position clang::clangd::Range::start

The range's start position.

Definition at line 156 of file Protocol.h.

Referenced by contains(), clang::clangd::fromJSON(), clang::clangd::IsRangeConsecutive(), clang::clangd::operator<<(), and clang::clangd::toJSON().

The documentation for this struct was generated from the following file:

- Protocol.h